# GetDcvById

Get domain control verification by domainControlVerificationId

`GET /api/v2/domain-control-verifications/{domainControlVerificationId}`

**API:** AvaTax API
**Tag:** DomainControlVerification
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/DomainControlVerification/GetDcvById/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `domainControlVerificationId` | string | path | Yes |  |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `DcvViewModel` |
| 400 | Bad Request | `BadRequestErrorResponse` |
| 401 | Unauthorized | `UnauthorizedErrorResponse` |
| 403 | Forbidden | `ForbiddenErrorResponse` |
| 404 | NotFound | `NotFoundErrorResponse` |
| 500 | Internal Server Error | `InternalServerErrorResponse` |

### 200 Response: `DcvViewModel`

ViewModel to get Domain control verification

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | string | No | Unique id of the Domain control verification |
| `domainName` | string | No | Domain name for which Domain control verification record is created |
| `context` | Context | No | Identify which system have created the Domain control verification |
| `token` | string | No | Unique token for Domain control verification |
| `status` | string | No | Status of the domain Verified/Pending/Cancelled |
| `emailId` | string | No | Email id of the user who create Domain control verification |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/domain-control-verifications/{domainControlVerificationId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```